#! /bin/sh 
# $Id: synthesizing.sh,v 1.1 1999/09/23 16:02:00 cguirao Exp $
#
# AUTHOR: C.Guirao
# NAME: synthesizing.prg:
#  Creates a synthetic solar spectrum using the SPECTRUM and SMOOTH
#  programs from Richard O. Gray.
#*******************************************************************************

cmd=`basename $0`
if [ $# -lt 1 ]; then
        echo "Usage: $cmd input output begin_wavelength end_wavelength output_resolution step"
        exit 1
fi

rm -f intermediate
in=$1
out=$2
beginw=$3
endw=$4
vel=1.5
resolution=0.02
output_resolution=$5
step=$6

rm -f spectrum.rst
cat > spectrum.rst <<EOD
${in}
luke.lst
intermediate
${vel}
${beginw},${endw}
${resolution}
EOD

spectrum /n <spectrum.rst >/dev/null 2>&1
#
# spectrum fails to return a 0 code if success
#
if [ $? != 0 ]; then
  echo "${cmd}: Error running \"spectrum /n <spectrum.rst\""
  exit 1
fi 

rm -f smooth.rst
cat > smooth.rst <<EOD
intermediate
${out}
${resolution}
${output_resolution}
${step}
EOD

smooth2 < smooth.rst >/dev/null 2>&1
#
# smooth fails to return a 0 code if success
#
if [ $? != 0 ]; then
  echo "${cmd}: Error running \"smooth <smooth.rst\""
  exit 1
fi 
exit 0
